RNDFUN:;Random Pixel Screen Erase

;Calc. next pseudo-random SEED (Toni Baker)
RANDOM: ld   hl,(23670)       ;(SEED)
        ld   a,h
        and  l
        inc  a
        jr   nz,RAND_2
        ld   hl,0ffb5h
        jr   RANDEX
RAND_2: xor  a
        inc  hl
        ld   d,h
        ld   e,l
        add  hl,hl
        adc  a,a
        add  hl,hl
        adc  a,a
        add  hl,hl
        adc  a,a
        add  hl,de
        adc  a,00
        add  hl,hl
        adc  a,a
        add  hl,hl
        adc  a,a
        add  hl,de
        adc  a,00
        add  hl,hl
        adc  a,a
        add  hl,de
        adc  a,00
        inc  h
        dec  h
        jr   nz,RANMOD
        cp   l
        jr   z,RANMOD
        jr   c,RANMOD
        dec  a
RANMOD: ld   e,a
        ld   d,00
        and  a
        sbc  hl,de
        dec  hl
RANDEX: ld   a,h
        ld   (23670),hl       ;(SEED)

        ld   b,h
        ld   c,l

        ld   hl,$afff
        sbc  hl,bc
        jr   c,RANDOM
        ld   (23677),bc      ;(COORDS)
        call $22aa           ;PIXEL_ADD
        ld   b,a
        inc  b
        ld   a,$fe
LOOP1:  rrca
        djnz LOOP1
        cpl
        ld   b,a
        and  (hl)            ;check if bit is set
        ret  nz
        ld   a,b
        or   (hl)
        ld   (hl),a          ;update display byte
        jr   RANDOM
